Index: trunk/cfg/encoder_intra_main.cfg
===================================================================
--- trunk/cfg/encoder_intra_main.cfg	(revision 36)
+++ trunk/cfg/encoder_intra_main.cfg	(revision 125)
@@ -18,9 +18,8 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor temporal_id #ref_pics_active #ref_pics reference pictures 
-Frame1:  B    1   0        1        0           4                0             
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures 
 
 #=========== Motion Search =============
-FastSearch                    : 1           # 0:Full search  1:EPZS
+FastSearch                    : 1           # 0:Full search  1:TZ search
 SearchRange                   : 64          # (0: Search range is a Full frame)
 HadamardME                    : 1           # Use of hadamard measure for fractional ME
@@ -34,14 +33,15 @@
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
 
 #=========== Deblock Filter ============
 DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
-LoopFilterOffsetInPPS         : 0           # Dbl params in PPS or SliceHeader (0=SliceHeader, 1=PPS)
-LoopFilterDisable             : 0           # Disable deblocking filter in slice header (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # Range: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # Range: -13 ~ 13
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # internal bit-depth = BitDepth + BitIncrement
+InternalBitDepth              : 8           # codec operating bit-depth
 
 #=========== Coding Tools =================
@@ -92,10 +92,7 @@
 
 #============ Lossless ================
-LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
                                                        
-SEIpictureDigest										: 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_intra_main10.cfg
===================================================================
--- trunk/cfg/encoder_intra_main10.cfg	(revision 125)
+++ trunk/cfg/encoder_intra_main10.cfg	(revision 125)
@@ -0,0 +1,99 @@
+#======== File I/O =====================
+BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Unit definition ================
+MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+MaxPartitionDepth             : 4           # Maximum coding unit depth
+QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTUMaxDepthInter       : 3
+QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : 1           # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+GOPSize                       : 1           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures  
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+
+#=========== Deblock Filter ============
+DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+
+#=========== Misc. ============
+InternalBitDepth              : 10          # codec operating bit-depth
+
+#=========== Coding Tools =================
+SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
+ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
+RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across 
+
+#============ WaveFront ================
+WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag: 0  # Value of PPS flag.
+CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+                                                        
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 36)
+++ trunk/cfg/encoder_lowdelay_P_main.cfg	(revision 125)
@@ -18,13 +18,13 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  P    1   3        0.4624   0           4                4         -1 -5 -9 -13       0
-Frame2:  P    2   2        0.4624   0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  P    3   3        0.4624   0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  P    4   1        0.578    0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
-FastSearch                    : 1           # 0:Full search  1:EPZS
+FastSearch                    : 1           # 0:Full search  1:TZ search
 SearchRange                   : 64          # (0: Search range is a Full frame)
 BipredSearchRange             : 4           # Search range for bi-prediction refinement
@@ -39,14 +39,15 @@
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
 
 #=========== Deblock Filter ============
 DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
-LoopFilterOffsetInPPS         : 0           # Dbl params in PPS or SliceHeader (0=SliceHeader, 1=PPS)
-LoopFilterDisable             : 0           # Disable deblocking filter in slice header (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # Range: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # Range: -13 ~ 13
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # internal bit-depth = BitDepth + BitIncrement
+InternalBitDepth              : 8           # codec operating bit-depth
 
 #=========== Coding Tools =================
@@ -97,14 +98,15 @@
 
 #============ Lossless ================
-LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
-RateCtrl                            : 0                # 0: Disable rate control 1: Enable rate control
-TargetBitrate                       : 1000             # input target bitrate when RateCtrl is enable
-NumLCUInUnit                        : 1                # Number of LCU in an Unit. Fraction is not allowed
-
-SEIpictureDigest										: 1
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 125)
+++ trunk/cfg/encoder_lowdelay_P_main10.cfg	(revision 125)
@@ -0,0 +1,113 @@
+#======== File I/O =====================
+BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Unit definition ================
+MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+MaxPartitionDepth             : 4           # Maximum coding unit depth
+QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTUMaxDepthInter       : 3
+QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  P    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  P    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  P    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  P    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+ListCombination               : 1           # Use combined list for uni-prediction in B-slices
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+
+#=========== Deblock Filter ============
+DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+
+#=========== Misc. ============
+InternalBitDepth              : 10          # codec operating bit-depth
+
+#=========== Coding Tools =================
+SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
+ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
+RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across                                                       
+
+#============ WaveFront ================
+WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag: 0  # Value of PPS flag.
+CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_lowdelay_main.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main.cfg	(revision 36)
+++ trunk/cfg/encoder_lowdelay_main.cfg	(revision 125)
@@ -18,13 +18,13 @@
 DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    1   3        0.4624   0           4                4         -1 -5 -9 -13       0
-Frame2:  B    2   2        0.4624   0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
-Frame3:  B    3   3        0.4624   0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
-Frame4:  B    4   1        0.578    0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
 ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
-FastSearch                    : 1           # 0:Full search  1:EPZS
+FastSearch                    : 1           # 0:Full search  1:TZ search
 SearchRange                   : 64          # (0: Search range is a Full frame)
 BipredSearchRange             : 4           # Search range for bi-prediction refinement
@@ -39,14 +39,15 @@
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
 
 #=========== Deblock Filter ============
 DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
-LoopFilterOffsetInPPS         : 0           # Dbl params in PPS or SliceHeader (0=SliceHeader, 1=PPS)
-LoopFilterDisable             : 0           # Disable deblocking filter in slice header (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # Range: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # Range: -13 ~ 13
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # internal bit-depth = BitDepth + BitIncrement
+InternalBitDepth              : 8           # codec operating bit-depth
 
 #=========== Coding Tools =================
@@ -97,12 +98,15 @@
 
 #============ Lossless ================
-LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
-RateCtrl                            : 0                # 0: Disable rate control 1: Enable rate control
-TargetBitrate                       : 1000             # input target bitrate when RateCtrl is enable
-NumLCUInUnit                        : 1                # Number of LCU in an Unit. Fraction is not allowed
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- trunk/cfg/encoder_lowdelay_main10.cfg	(revision 125)
+++ trunk/cfg/encoder_lowdelay_main10.cfg	(revision 125)
@@ -0,0 +1,113 @@
+#======== File I/O =====================
+BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Unit definition ================
+MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+MaxPartitionDepth             : 4           # Maximum coding unit depth
+QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTUMaxDepthInter       : 3
+QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : -1          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 0           # Random Accesss 0:none, 1:CDR, 2:IDR
+GOPSize                       : 4           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2  temporal_id #ref_pics_active #ref_pics reference pictures predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    1   3        0.4624   0            0               0           4                4         -1 -5 -9 -13       0
+Frame2:  B    2   2        0.4624   0            0               0           4                4         -1 -2 -6 -10       1      -1       5         1 1 1 0 1
+Frame3:  B    3   3        0.4624   0            0               0           4                4         -1 -3 -7 -11       1      -1       5         0 1 1 1 1            
+Frame4:  B    4   1        0.578    0            0               0           4                4         -1 -4 -8 -12       1      -1       5         0 1 1 1 1
+ListCombination               : 1           # Use combined list for uni-prediction in B-slices
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+
+#=========== Deblock Filter ============
+DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+
+#=========== Misc. ============
+InternalBitDepth              : 10          # codec operating bit-depth
+
+#=========== Coding Tools =================
+SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
+ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
+RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across 
+
+#============ WaveFront ================
+WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag: 0  # Value of PPS flag.
+CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: trunk/cfg/encoder_randomaccess_main.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main.cfg	(revision 36)
+++ trunk/cfg/encoder_randomaccess_main.cfg	(revision 125)
@@ -18,17 +18,17 @@
 DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
 GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
-#        Type POC QPoffset QPfactor temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
-Frame1:  B    8   1        0.442    0           4                4         -8 -10 -12 -16         0
-Frame2:  B    4   2        0.3536   0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
-Frame3:  B    2   3        0.3536   0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
-Frame4:  B    1   4        0.68     0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
-Frame5:  B    3   4        0.68     0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
-Frame6:  B    6   3        0.3536   0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
-Frame7:  B    5   4        0.68     0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
-Frame8:  B    7   4        0.68     0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
 ListCombination               : 1           # Use combined list for uni-prediction in B-slices
 
 #=========== Motion Search =============
-FastSearch                    : 1           # 0:Full search  1:EPZS
+FastSearch                    : 1           # 0:Full search  1:TZ search
 SearchRange                   : 64          # (0: Search range is a Full frame)
 BipredSearchRange             : 4           # Search range for bi-prediction refinement
@@ -43,14 +43,16 @@
 DeltaQpRD                     : 0           # Slice-based multi-QP optimization
 RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
 
 #=========== Deblock Filter ============
 DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
-LoopFilterOffsetInPPS         : 0           # Dbl params in PPS or SliceHeader (0=SliceHeader, 1=PPS)
-LoopFilterDisable             : 0           # Disable deblocking filter in slice header (0=Filter, 1=No Filter)
-LoopFilterBetaOffset_div2     : 0           # Range: -13 ~ 13
-LoopFilterTcOffset_div2       : 0           # Range: -13 ~ 13
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+
 
 #=========== Misc. ============
-InternalBitDepth              : 8           # internal bit-depth = BitDepth + BitIncrement
+InternalBitDepth              : 8           # codec operating bit-depth
 
 #=========== Coding Tools =================
@@ -101,14 +103,15 @@
 
 #============ Lossless ================
-LosslessCuEnabled                   : 0                # 1: Set "qpprime_y_zero_transquant_bypass_flag=1" and enable the lossless mode as well as the RD-based mode selection process.
 TransquantBypassEnableFlag: 0  # Value of PPS flag.
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
 #============ Rate Control ======================
-RateCtrl                            : 0                # 0: Disable rate control 1: Enable rate control
-TargetBitrate                       : 1000             # input target bitrate when RateCtrl is enable
-NumLCUInUnit                        : 1                # Number of LCU in an Unit. Fraction is not allowed
-
-SEIpictureDigest										: 1
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
 
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
Index: trunk/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- trunk/cfg/encoder_randomaccess_main10.cfg	(revision 125)
+++ trunk/cfg/encoder_randomaccess_main10.cfg	(revision 125)
@@ -0,0 +1,118 @@
+#======== File I/O =====================
+BitstreamFile                 : str.bin
+#ReconFile                     : rec.yuv
+
+#======== Unit definition ================
+MaxCUWidth                    : 64          # Maximum coding unit width in pixel
+MaxCUHeight                   : 64          # Maximum coding unit height in pixel
+MaxPartitionDepth             : 4           # Maximum coding unit depth
+QuadtreeTULog2MaxSize         : 5           # Log2 of maximum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTULog2MinSize         : 2           # Log2 of minimum transform size for
+                                            # quadtree-based TU coding (2...6)
+QuadtreeTUMaxDepthInter       : 3
+QuadtreeTUMaxDepthIntra       : 3
+
+#======== Coding Structure =============
+#IntraPeriod                   : 32          # Period of I-Frame ( -1 = only first)
+DecodingRefreshType           : 1           # Random Accesss 0:none, 1:CDR, 2:IDR
+GOPSize                       : 8           # GOP Size (number of B slice = GOPSize-1)
+#        Type POC QPoffset QPfactor tcOffsetDiv2 betaOffsetDiv2 temporal_id #ref_pics_active #ref_pics reference pictures     predict deltaRPS #ref_idcs reference idcs 
+Frame1:  B    8   1        0.442    0            0              0           4                4         -8 -10 -12 -16         0
+Frame2:  B    4   2        0.3536   0            0              0           2                3         -4 -6  4               1       4        5         1 1 0 0 1
+Frame3:  B    2   3        0.3536   0            0              0           2                4         -2 -4  2 6             1       2        4         1 1 1 1  
+Frame4:  B    1   4        0.68     0            0              0           2                4         -1  1  3 7             1       1        5         1 0 1 1 1 
+Frame5:  B    3   4        0.68     0            0              0           2                4         -1 -3  1 5             1      -2        5         1 1 1 1 0
+Frame6:  B    6   3        0.3536   0            0              0           2                4         -2 -4 -6 2             1      -3        5         1 1 1 1 0
+Frame7:  B    5   4        0.68     0            0              0           2                4         -1 -5  1 3             1       1        5         1 0 1 1 1  
+Frame8:  B    7   4        0.68     0            0              0           2                4         -1 -3 -7 1             1      -2        5         1 1 1 1 0
+ListCombination               : 1           # Use combined list for uni-prediction in B-slices
+
+#=========== Motion Search =============
+FastSearch                    : 1           # 0:Full search  1:TZ search
+SearchRange                   : 64          # (0: Search range is a Full frame)
+BipredSearchRange             : 4           # Search range for bi-prediction refinement
+HadamardME                    : 1           # Use of hadamard measure for fractional ME
+FEN                           : 1           # Fast encoder decision
+FDM                           : 1           # Fast Decision for Merge RD cost
+
+#======== Quantization =============
+#QP                            : 32          # Quantization parameter(0-51)
+MaxDeltaQP                    : 0           # CU-based multi-QP optimization
+MaxCuDQPDepth                 : 0           # Max depth of a minimum CuDQP for sub-LCU-level delta QP
+DeltaQpRD                     : 0           # Slice-based multi-QP optimization
+RDOQ                          : 1           # RDOQ
+RDOQTS                        : 1           # RDOQ for transform skip
+
+#=========== Deblock Filter ============
+DeblockingFilterControlPresent: 0           # Dbl control params present (0=not present, 1=present)
+LoopFilterOffsetInPPS         : 0           # Dbl params: 0=varying params in SliceHeader, param = base_param + GOP_offset_param; 1=constant params in PPS, param = base_param)
+LoopFilterDisable             : 0           # Disable deblocking filter (0=Filter, 1=No Filter)
+LoopFilterBetaOffset_div2     : 0           # base_param: -13 ~ 13
+LoopFilterTcOffset_div2       : 0           # base_param: -13 ~ 13
+
+#=========== Misc. ============
+InternalBitDepth              : 10          # codec operating bit-depth
+
+#=========== Coding Tools =================
+SAO                           : 1           # Sample adaptive offset  (0: OFF, 1: ON)
+AMP                           : 1           # Asymmetric motion partitions (0: OFF, 1: ON)
+TransformSkip                 : 1           # Transform skipping (0: OFF, 1: ON)
+TransformSkipFast             : 1           # Fast Transform skipping (0: OFF, 1: ON)
+SAOLcuBoundary                : 0           # SAOLcuBoundary using non-deblocked pixels (0: OFF, 1: ON)
+
+#============ Slices ================
+SliceMode                : 0                # 0: Disable all slice options.
+                                            # 1: Enforce maximum number of LCU in an slice,
+                                            # 2: Enforce maximum number of bytes in an 'slice'
+                                            # 3: Enforce maximum number of tiles in a slice
+SliceArgument            : 1500             # Argument for 'SliceMode'.
+                                            # If SliceMode==1 it represents max. SliceGranularity-sized blocks per slice.
+                                            # If SliceMode==2 it represents max. bytes per slice.
+                                            # If SliceMode==3 it represents max. tiles per slice.
+
+LFCrossSliceBoundaryFlag : 1                # In-loop filtering, including ALF and DB, is across or not across slice boundary.
+                                            # 0:not across, 1: across
+
+#============ PCM ================
+PCMEnabledFlag                      : 0                # 0: No PCM mode
+PCMLog2MaxSize                      : 5                # Log2 of maximum PCM block size.
+PCMLog2MinSize                      : 3                # Log2 of minimum PCM block size.
+PCMInputBitDepthFlag                : 1                # 0: PCM bit-depth is internal bit-depth. 1: PCM bit-depth is input bit-depth.
+PCMFilterDisableFlag                : 0                # 0: Enable loop filtering on I_PCM samples. 1: Disable loop filtering on I_PCM samples.
+
+#============ Tiles ================
+UniformSpacingIdc                   : 0                # 0: the column boundaries are indicated by ColumnWidth array, the row boundaries are indicated by RowHeight array
+                                                       # 1: the column and row boundaries are distributed uniformly
+NumTileColumnsMinus1                : 0                # Number of columns in a picture minus 1
+ColumnWidthArray                    : 2 3              # Array containing ColumnWidth values in units of LCU (from left to right in picture)   
+NumTileRowsMinus1                   : 0                # Number of rows in a picture minus 1
+RowHeightArray                      : 2                # Array containing RowHeight values in units of LCU (from top to bottom in picture)
+
+LFCrossTileBoundaryFlag           : 1                  # In-loop filtering is across or not across tile boundary.
+                                                       # 0:not across, 1: across                                                       
+
+#============ WaveFront ================
+WaveFrontSynchro                    : 0                # 0:  No WaveFront synchronisation (WaveFrontSubstreams must be 1 in this case).
+                                                       # >0: WaveFront synchronises with the LCU above and to the right by this many LCUs.
+
+#=========== Quantization Matrix =================
+ScalingList                   : 0                      # ScalingList 0 : off, 1 : default, 2 : file read
+ScalingListFile               : scaling_list.txt       # Scaling List file name. If file is not exist, use Default Matrix.
+
+#============ Lossless ================
+TransquantBypassEnableFlag: 0  # Value of PPS flag.
+CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
+
+#============ Rate Control ======================
+RateControl                         : 0                # Rate control: enable rate control
+TargetBitrate                       : 1000000          # Rate control: target bitrate, in bps
+KeepHierarchicalBit                 : 1                # Rate control: keep hierarchical bit allocation in rate control algorithm
+LCULevelRateControl                 : 1                # Rate control: 1: LCU level RC; 0: picture level RC
+RCLCUSeparateModel                  : 1                # Rate control: use LCU level separate R-lambda model
+InitialQP                           : 0                # Rate control: initial QP
+RCForceIntraQP                      : 0                # Rate control: force intra QP to be equal to initial QP
+
+### DO NOT ADD ANYTHING BELOW THIS LINE ###
+### DO NOT DELETE THE EMPTY LINE BELOW ###
+
Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 720         # Input  frame height
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 540         # Input  frame height
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1080        # Input  frame height
 IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BQTerrace_1920x1080_60.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 720         # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 540         # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1080        # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 720         # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 540         # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1080        # Input  frame height
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Cactus_1920x1080_50.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 720         # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 540         # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1080        # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Kimono1_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers											: 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 720         # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 540         # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1080        # Input  frame height
 IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : ParkScene_1920x1080_24.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1080        # Input  frame height
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 800         # Input  frame height
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1600        # Input  frame height
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 125)
@@ -1,3 +1,3 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1600        # Input  frame height
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1600        # Input  frame height
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 125)
@@ -1,6 +1,6 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
-FramesToBeEncoded             : 150         # Number of frames to be coded
+FramesToBeEncoded             : 300         # Number of frames to be coded
 
 #======== File I/O ===============
@@ -10,6 +10,6 @@
 SourceHeight0                 : 800         # Input  frame height
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1600        # Input  frame height
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 125)
@@ -1,6 +1,6 @@
-NumLayers					  : 2
+NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
-FramesToBeEncoded             : 150         # Number of frames to be coded
+FramesToBeEncoded             : 300         # Number of frames to be coded
 
 #======== File I/O ===============
@@ -10,6 +10,6 @@
 SourceHeight0                 : 1600        # Input  frame height
 IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
-QP0                           : 22
-CroppingMode0                 : 1           # automatic padding
+ConformanceMode0              : 1           # conformance mode
+QP0: 22
 
 InputFile1                    : Traffic_2560x1600_30_crop.yuv
@@ -18,4 +18,4 @@
 SourceHeight1                 : 1600        # Input  frame height
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
-QP1                           : 20
-CroppingMode1                 : 1           # automatic padding
+ConformanceMode1              : 1           # conformance mode
+QP1: 20
